VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::health::DatabasestorageTypes::HealthLevel Class Reference

`Databasestorage.HealthLevel` enumerated type Defines health levels More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, orange, gray, green, red, yellow }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static HealthLevel[] | GetValues ()
static HealthLevel | ValueOf (string name)
## Static Public Attributes
static readonly HealthLevel | orange = new HealthLevel("orange", Values.orange)
| The service health is degraded.
static readonly HealthLevel | gray = new HealthLevel("gray", Values.gray)
| No health data is available for this service.
static readonly HealthLevel | green = new HealthLevel("green", Values.green)
| Service is healthy.
static readonly HealthLevel | red = new HealthLevel("red", Values.red)
| The service is unavaiable and is not functioning properly or will stop functioning soon.
static readonly HealthLevel | yellow = new HealthLevel("yellow", Values.yellow)
| The service is healthy state, but experiencing some levels of problems.

## Detailed Description

`Databasestorage.HealthLevel` enumerated type Defines health levels

## Member Enumeration Documentation

enum vmware::appliance::health::DatabasestorageTypes::HealthLevel::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  orange | The service health is degraded. The service might have serious problems
  gray | No health data is available for this service.
  green | Service is healthy.
  red | The service is unavaiable and is not functioning properly or will stop functioning soon.
  yellow | The service is healthy state, but experiencing some levels of problems.

## Member Function Documentation

Values vmware::appliance::health::DatabasestorageTypes::HealthLevel::GetEnumValue | ( |  | ) | `[inline]`

static HealthLevel [] vmware::appliance::health::DatabasestorageTypes::HealthLevel::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::health::DatabasestorageTypes::HealthLevel::IsUnknown | ( |  | ) | `[inline]`

static HealthLevel vmware::appliance::health::DatabasestorageTypes::HealthLevel::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly HealthLevel vmware::appliance::health::DatabasestorageTypes::HealthLevel::gray = new HealthLevel("gray", Values.gray)`[static]`

No health data is available for this service.

readonly HealthLevel vmware::appliance::health::DatabasestorageTypes::HealthLevel::green = new HealthLevel("green", Values.green)`[static]`

Service is healthy.

readonly HealthLevel vmware::appliance::health::DatabasestorageTypes::HealthLevel::orange = new HealthLevel("orange", Values.orange)`[static]`

The service health is degraded.

The service might have serious problems

readonly HealthLevel vmware::appliance::health::DatabasestorageTypes::HealthLevel::red = new HealthLevel("red", Values.red)`[static]`

The service is unavaiable and is not functioning properly or will stop functioning soon.

readonly HealthLevel vmware::appliance::health::DatabasestorageTypes::HealthLevel::yellow = new HealthLevel("yellow", Values.yellow)`[static]`

The service is healthy state, but experiencing some levels of problems.

The documentation for this class was generated from the following file:

- DatabasestorageTypes.cs